GAMMU-SMSD(1)

NAME
gammu-smsd - SMS daemon for Gammu

SYNOPSIS
gammu-smsd [OPTION]...

DESCRIPTION
This manual page documents briefly the gammu-smsd command.

gammu-smsd is a program that periodically scans GSM modem for received messages, stores them in defined storage and also sends messages enqueued in this storage.

Program accepts following options (please note that long options might be not accepted on some platforms):

-h, --help
    Shows help.

-v, --version
    Shows version information and compiled in features.

-c, --config=file
    Configuration file to use, default is /etc/gammu-smsdrc, on Windows there is no default and configuration file path has to be always specified.

-p, --pid=file
    Lock file for storing pid, empty for no locking. Not supported on Windows.

-U, --user=user
    Drop daemon privileges to chosed user after starting.

-G, --group=group
    Drop daemon privileges to chosen group after starting.

-d, --daemon
    Daemonize program on startup. Not supported on Windows.

-i, --install-service
    Installs SMSD as a Windows service.

-u, --uninstall-service
    Uninstalls SMSD as a Windows service.

-s, --start-service
    Starts SMSD Windows service.

-k, --stop-service
    Stops SMSD Windows service.

-S, --run-service
    Runs pogram as SMSD Windows service.

SEE ALSO
gammu-smsdrc(5), gammu(1), gammu-smsd-inject(1) gammu-smsd-files(7), gammu-smsd-mysql(7), gammu-smsd-pgsql(7)

AUTHOR
gammu-smsd and this manual page were written by Michal Cihar <michal@cihar.com>.

COPYRIGHT
Copyright © 2009 Michal Cihar and other authors. License GPLv2: GNU GPL version 2 <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

REPORTING BUGS
Please report bugs to <http://bugs.cihar.com>. Before reporting a bug, please enable verbose logging in SMSD configuration:
    [gammu]
    logformat = textall and include this verbose log within bug report.